Thanks again Rich.

I do have one more problem. After updating both stage and player, I can't see any robots (roombas) on my previously created .cfg (and .world), they seem to be invisible (I can communicate with them via program). I can see other types of robots fine.

I'm using .cfg
driver
(
name "stage"
plugin "stageplugin"
provides ["simulation:0" ]
worldfile "empty.world"
)
driver
(
name "stage"
provides ["6665:position2d:0"]
model "roomba1"
)
driver
(
name "stage"
provides ["6666:position2d:0"]
model "roomba2"
)
driver
(
name "stage"
provides ["6667:position2d:0"]
model "roomba3"
)
driver
(
name "stage"
provides ["6668:position2d:0"]
model "roomba4"
)
driver
(
name "stage"
provides ["6669:position2d:0"]
model "roomba5"
)
driver
(
name "stage"
provides ["6664:position2d:0"]
model "roomba6"
)


And .world is : 
include "map.inc"
include "irobot.inc"

size [15 15]

window
(
size [700.000 700.000]
scale 41
)

roomba
(
name "roomba1"
pose [-5 5 0 0]
)
roomba
(
name "roomba2"
pose [-5 4 0 0]
)
roomba
(
name "roomba3"
pose [-5 3 0 0]
)
roomba
(
name "roomba4"
pose [-5 2 0 0]
)
roomba
(
name "roomba5"
pose [-5 1 0 0]
)
roomba
(
name "roomba6"
pose [-5 0 0 0]
)

The map.inc and irobot.inc are overwritten witht the ones that came with stage 4.1.1.

I also tried to use roombas on another .cfg file, but they weren't visible there either.



On Wed, Apr 25, 2012 at 11:53 AM, kristjan.liiva1 <kristjan.liiva1@gmail.com> wrote:
apt-get tells me that it is installed

user@pc:~$ sudo apt-get install libcv-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libcv-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

But there is no /usr/share/pkgconfig/opencv.pc on my drive (even after reinstalling libcv-dev).

After installing libhighgui-dev the installation went thru, so did the installation of stage (4.1.1). But when trying to run the programs I got this error : 
user@pc:~/project/res$ stage empty.world
stage: error while loading shared libraries: libstage.so.4.1.1: cannot open shared object file: No such file or directory

Then I tried 
export LD_LIBRARY_PATH=/usr/local/lib
and it worked, but if I close the terminal then I need to run this command again. Is there a way to bypass this kind of behavior?

Thanks for you help  Rich

On Wed, Apr 25, 2012 at 12:42 AM, Kristjan Liiva <k.rist.jan@hotmail.com> wrote:
I tried to install from source and got the following error:

[ 32%] Building CXX object server/libplayerdrivers/CMakeFiles/playerdrivers.dir/__/drivers/blobfinder/simpleshape/simpleshape.o
/home/user/temp2/Downloads/trunk/server/drivers/blobfinder/simpleshape/simpleshape.cc:110:21: fatal error: highgui.h: No such file or directory
compilation terminated.
make[2]: *** [server/libplayerdrivers/CMakeFiles/playerdrivers.dir/__/drivers/blobfinder/simpleshape/simpleshape.o] Error 1
make[1]: *** [server/libplayerdrivers/CMakeFiles/playerdrivers.dir/all] Error 2
make: *** [all] Error 2

As far as I understand the problem is that I'm missing some package (OpenCV), tried to install som, but the problem persisted. Also, I couldn't find some packages at all: 

user@pc~/temp2/Downloads/trunk/build$ sudo apt-get install libhighgui
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libhighgui

user@pc:~/temp2/Downloads/trunk/build$ sudo apt-get install opencv-dev
[sudo] password for user: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package opencv-dev

I also managed to find http://packages.ubuntu.com/precise/amd64/libopencv-highgui-dev and http://packages.debian.org/wheezy/libhighgui-dev , but again I didn't know how to install from those sites.

Basically, I have many gaps in my knowledge of installing these kind of packages, could someone help me out?